package org.schabi.newpipe.extractor;

import org.schabi.newpipe.extractor.stream.SubtitlesFormat;

import java.io.Serializable;
import java.util.Locale;

public class Subtitles implements Serializable {
    private final SubtitlesFormat format;
    private final Locale locale;
    private final String URL;
    private final boolean autoGenerated;

    public Subtitles(SubtitlesFormat format, Locale locale, String URL, boolean autoGenerated) {
        this.format = format;
        this.locale = locale;
        this.URL = URL;
        this.autoGenerated = autoGenerated;
    }

    public SubtitlesFormat getFileType() { return format; }

    public Locale getLocale() {
        return locale;
    }

    public String getURL() {
        return URL;
    }

    public boolean isAutoGenerated() {
        return autoGenerated;
    }
}
